### Method

# WebKit2WebExtension DOMDocument caret_range_from_point

deprecated: 2.22 since: 2.16

#### Declaration [src]

    WebKitDOMRange*
    webkit_dom_document_caret_range_from_point (
      WebKitDOMDocument* self,
      glong x,
      glong y
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`x`

  Type: `glong`

  A #glong.

`y`

  Type: `glong`

  A #glong.

#### Return value

Type: `WebKitDOMRange`

A `WebKitDOMRange`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.